Bug 179988 - Heap::isMarked and friends should be instance methods
Summary: Heap::isMarked and friends should be instance methods
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-11-23 17:09 PST by Filip Pizlo
Modified: 2019-03-25 15:43 PDT (History)
7 users (show)

See Also:


Attachments
Patch (69.39 KB, patch)
2019-03-24 04:07 PDT, Yusuke Suzuki
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Filip Pizlo 2017-11-23 17:09:20 PST
They need to find Heap, so they might as well be given a pointer to it.  I bet all callers already have access to VM.
Comment 1 Yusuke Suzuki 2019-03-24 04:07:53 PDT
Created attachment 365825 [details]
Patch
Comment 2 EWS Watchlist 2019-03-24 04:09:47 PDT
Attachment 365825 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/heap/GCIncomingRefCountedSetInlines.h:43:  More than one command on the same line  [whitespace/newline] [4]
Total errors found: 1 in 60 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Yusuke Suzuki 2019-03-25 15:41:13 PDT
Committed r243467: <https://trac.webkit.org/changeset/243467>
Comment 4 Radar WebKit Bug Importer 2019-03-25 15:43:12 PDT
<rdar://problem/49233283>